# Class Timer

java.lang.Object
org.snpeff.util.Timer

public class Timer extends Object

## Constructor Summary

Constructors
Constructor
Description
`Timer()`

## Method Summary

Modifier and Type
Method
Description
`long`
`elapsed()`
Elapsed time in milliseconds
`void`
`end()`
`void`
`setUseMiliSecs(boolean useMiliSecs)`
`static void`
`show(Object msg)`
Show absolute timer value and a message
`static void`
`showStdErr(Object msg)`
Show absolute timer value and a message on STDERR
`void`
`start()`
`String`
`toString()`
`static String`
`toString(long elapsedMs, boolean useMiliSecs)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Timer

public Timer()

## Method Details

### show

public static void show(Object msg)
Show absolute timer value and a message

Parameters:
  `msg` -

### showStdErr

public static void showStdErr(Object msg)
Show absolute timer value and a message on STDERR

Parameters:
  `msg` -

### toString

public static String toString(long elapsedMs, boolean useMiliSecs)

### elapsed

public long elapsed()
Elapsed time in milliseconds

### end

public void end()

### setUseMiliSecs

public void setUseMiliSecs(boolean useMiliSecs)

### start

public void start()

### toString

public String toString()

Overrides:
  `toString` in class `Object`